defmodule Nulla.InstanceSettings do
  use Ecto.Schema
  import Ecto.Changeset

  schema "instance_settings" do
    field :name, :string
    field :description, :string
    field :domain, :string
    field :registration, :boolean, default: false
    field :max_characters, :integer
    field :max_upload_size, :integer
  end

  @doc false
  def changeset(instance_settings, attrs) do
    instance_settings
    |> cast(attrs, [:name, :description, :domain, :registration, :max_characters, :max_upload_size])
    |> validate_required([:name, :description, :domain, :registration, :max_characters, :max_upload_size])
  end
end
